/**
 * 
 *
 * Copyright (c) 2008-2009  All rights reserved.
 */
#include "WConstants.h"
#include <stdio.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include "pins_arduino.h"
#include <inttypes.h>
#include "global.h"
#include "mcp2515.h"
#include "defaults.h"
#include "Canbus.h"




/* C++ wrapper */
CanbusClass::CanbusClass() {

 
}
char CanbusClass::message_rx(unsigned char *buffer) {
		tCAN message;
	
		if (mcp2515_check_message()) {
		
			
			// Lese die Nachricht aus dem Puffern des MCP2515
			if (mcp2515_get_message(&message)) {
			//	print_can_message(&message);
			//	PRINT("\n");
				buffer[0] = message.data[0];
				buffer[1] = message.data[1];
				buffer[2] = message.data[2];
				buffer[3] = message.data[3];
				buffer[4] = message.data[4];
				buffer[5] = message.data[5];
				buffer[6] = message.data[6];
				buffer[7] = message.data[7];																																			
			}
			else {
			//	PRINT("Kann die Nachricht nicht auslesen\n\n");
			}
		}

}

char CanbusClass::message_tx(int *buffer) {
	tCAN message;


	// einige Testwerte
       message.id = buffer[0];  // 0x1F6;
       message.header.rtr = 0;
       message.header.length = buffer[1] ; // 2;
       int t = 0;
       int length = message.header.length ;
       
       for (t=0;t<length;t++) {
       message.data[t] = buffer[t+2];
	}
       
      // message.data[0] = // 0xB1;
      // message.data[1] = 0xF2;
	
	
	
	
//	mcp2515_bit_modify(CANCTRL, (1<<REQOP2)|(1<<REQOP1)|(1<<REQOP0), (1<<REQOP1));	
		mcp2515_bit_modify(CANCTRL, (1<<REQOP2)|(1<<REQOP1)|(1<<REQOP0), 0);
		
	if (mcp2515_send_message(&message)) {
		//	SET(LED2_HIGH);
		return 1;
	
	}
	else {
	//	PRINT("Fehler: konnte die Nachricht nicht auslesen\n\n");
	return 0;
	}
return 1;
 
}

char CanbusClass::ecu_req(int *buffer)
{
	tCAN message;


          if (mcp2515_check_message())
           {


                   if (mcp2515_get_message(&message))
                   {

        buffer[0] = message.id;
				buffer[1] = message.data[0];
				buffer[2] = message.data[1];
				buffer[3] = message.data[2];
				buffer[4] = message.data[3];
				buffer[5] = message.data[4];
				buffer[6] = message.data[5];
				buffer[7] = message.data[6];
				buffer[8] = message.data[7];
				buffer[10] = message.header.length;
                     
                     return 1;
                    }
             }

         else {
              return 0;
              }
}


char CanbusClass::init(unsigned char speed) {

  return mcp2515_init(speed);
 
}

CanbusClass Canbus;
